curl --request GET \
--url https://demo.enneo.ai/api/mind/customer/byContractId/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": 83771,
"emailMatches": true,
"business": false,
"company": null,
"firstname": "Tom",
"lastname": "Mustermann",
"address": "Hugo-Junkers-Str. 5",
"phone": 49123456789,
"email": "tom@mustermann.de",
"tags": [
{
"id": 2,
"color": "green",
"name": "VIP"
}
],
"contracts": [
{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1,
"salesChannelId": 1,
"unpaidDebt": 109.21,
"vatRate": 0.09,
"basePrice": 0.09,
"workingPrice": 0.09,
"billingAddress": "Rechnungssstraße 24, 10587 Berlin",
"business": false,
"phone": 491721041689,
"gridOperatorName": "E.ON Bayern AG",
"gridOperatorCode": 1000000000000,
"registers": [
{}
],
"erpUrls": [
{
"url": "https://erp-system.com/contract/123",
"logo": "powercloud"
}
],
"rawData": null,
"agentPreview": [
{
"label": "Tarif",
"value": "Flex 24",
"tooltip": "AP: 28.5 ct/kWh\nGP: 149.88 €/Jahr",
"url": "https://erp.example.com/contract/123"
}
],
"tabPreview": {
"color": "green",
"icon": "electricity"
}
}
],
"additionalData": {}
}Get a customer and associated contracts
curl --request GET \
--url https://demo.enneo.ai/api/mind/customer/byContractId/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": 83771,
"emailMatches": true,
"business": false,
"company": null,
"firstname": "Tom",
"lastname": "Mustermann",
"address": "Hugo-Junkers-Str. 5",
"phone": 49123456789,
"email": "tom@mustermann.de",
"tags": [
{
"id": 2,
"color": "green",
"name": "VIP"
}
],
"contracts": [
{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1,
"salesChannelId": 1,
"unpaidDebt": 109.21,
"vatRate": 0.09,
"basePrice": 0.09,
"workingPrice": 0.09,
"billingAddress": "Rechnungssstraße 24, 10587 Berlin",
"business": false,
"phone": 491721041689,
"gridOperatorName": "E.ON Bayern AG",
"gridOperatorCode": 1000000000000,
"registers": [
{}
],
"erpUrls": [
{
"url": "https://erp-system.com/contract/123",
"logo": "powercloud"
}
],
"rawData": null,
"agentPreview": [
{
"label": "Tarif",
"value": "Flex 24",
"tooltip": "AP: 28.5 ct/kWh\nGP: 149.88 €/Jahr",
"url": "https://erp.example.com/contract/123"
}
],
"tabPreview": {
"color": "green",
"icon": "electricity"
}
}
],
"additionalData": {}
}JWT-based authentication
The id of the contract for which the associated customer is requested
Successful operation
83771
If false, the customer sent the email from an account that doesn't match our records. Always returns 'null' when customer is retrieved by customerId and not by ticketId
true
false
Name of the company. Null when customer is not a business but private
null
"Tom"
"Mustermann"
"Hugo-Junkers-Str. 5"
49123456789
"tom@mustermann.de"
Show child attributes
Contracts that this customer has
Show child attributes
Client-specific data objects can be included here